summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author powtrix2012-04-20 22:09:29 +0200
committer dsomero2012-04-20 22:09:29 +0200
commitb07f7da322af55611c809cc0a06e8d03796ffbc2 (patch)
tree7ae22690ffdbc380d638c8affbf346ce6c8b1ba8 /development
parent4bf6482881353042de5c1a01d11a7dd829cb9df5 (diff)
downloadslackbuilds-b07f7da322af55611c809cc0a06e8d03796ffbc2.tar.gz
development/source-highlight: Added (syntax highlighting)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/source-highlight/README24
-rw-r--r--development/source-highlight/slack-desc19
-rw-r--r--development/source-highlight/source-highlight.SlackBuild85
-rw-r--r--development/source-highlight/source-highlight.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/development/source-highlight/README b/development/source-highlight/README
new file mode 100644
index 0000000000..6f34ffa6a7
--- /dev/null
+++ b/development/source-highlight/README
@@ -0,0 +1,24 @@
+GNU Source-highlight
+
+This program, given a source file, produces a document with syntax highlighting.
+It also provides a C++ highlight library.
+
+Source-highlight reads source language specifications dynamically, thus it can
+be easily extended (without recompiling the sources) for handling new
+languages. It also reads output format specifications dynamically, and thus it
+can be easily extended (without recompiling the sources) for handling new
+output formats. The syntax for these specifications is quite easy (take a look
+at the manual).
+
+Source-highlight is a command line program, and it can also be used as a CGI.
+
+Notice that source-highlight can also be used as a formatter (i.e., without
+highlighting): you can, for instance, format a txt file in HTML (and it will
+take care of translating special characters, such as, <, >, &).
+
+A common example:
+ less /usr/src/linux/kernel/panic.c
+
+to tune the less, add in your .bash_profile these lines:
+ export LESSOPEN="| /usr/bin/src-hilite-lesspipe.sh %s"
+ export LESS=' -R '
diff --git a/development/source-highlight/slack-desc b/development/source-highlight/slack-desc
new file mode 100644
index 0000000000..4a605f63bd
--- /dev/null
+++ b/development/source-highlight/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+source-highlight: source-highlight (reproduces a doc with syntax highlighting)
+source-highlight:
+source-highlight: Source-highlight reads source language specifications
+source-highlight: dynamically, thus it can be easly extended for handling new
+source-highlight: languages. It also reads output format specifications
+source-highlight: dynamically, and thus it can be easily extended for handling
+source-highlight: output formats.
+source-highlight:
+source-highlight: Homepage: http://www.gnu.org/software/src-highlite/
+source-highlight:
+source-highlight:
diff --git a/development/source-highlight/source-highlight.SlackBuild b/development/source-highlight/source-highlight.SlackBuild
new file mode 100644
index 0000000000..7ff0e3795d
--- /dev/null
+++ b/development/source-highlight/source-highlight.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+# Slackware build script for source-highlight
+# Written by powtrix (@gmail.com)
+
+PRGNAM=source-highlight
+VERSION=${VERSION:-3.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $TMP
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzfv $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 555 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2>/dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README THANKS TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/source-highlight/source-highlight.info b/development/source-highlight/source-highlight.info
new file mode 100644
index 0000000000..405fe2001b
--- /dev/null
+++ b/development/source-highlight/source-highlight.info
@@ -0,0 +1,10 @@
+PRGNAM="source-highlight"
+VERSION="3.1.6"
+HOMEPAGE="http://www.gnu.org/software/src-highlite"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/src-highlite/source-highlight-3.1.6.tar.gz"
+MD5SUM="44856c15a5dc8694e30d92f640ed348f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="powtrix"
+EMAIL="powtrix@gmail.com"
+APPROVED="dsomero"